Support » Plugin: TablePress » PHP 7 Compatibility

  • Resolved Kristin Kokkersvold

    (@kekkakokkers)


    I get an error when testing my site for PHP7 Compatibility, when will your plugin be PHP7 compliant?

    FILE: /nas/content/live/xxx/wp-content/plugins/tablepress/views/view-about.php
    ————————————————————————————————————–
    FOUND 2 ERRORS AFFECTING 2 LINES
    ————————————————————————————————————–
    185 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 – use mysqli instead.
    186 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and removed since PHP 7.0 – use mysqli instead.
    ————————————————————————————————————–

    FILE: /nas/content/live/xxx/wp-content/plugins/tablepress/libraries/excel-reader.class.php
    ————————————————————————————————————————————————————
    FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES
    ————————————————————————————————————————————————————
    223 | WARNING | Method name “OLERead::__readData” is discouraged; PHP has reserved all method names with a double underscore prefix for future use
    241 | WARNING | Method name “OLERead::__readPropertySets” is discouraged; PHP has reserved all method names with a double underscore prefix for future use
    ————————————————————————————————————————————————————

    FILE: /nas/content/live/xxx/wp-content/plugins/tablepress/libraries/simplexlsx.class.php
    —————————————————————————————————
    FOUND 0 ERRORS AND 2 WARNINGS AFFECTING 2 LINES
    —————————————————————————————————
    602 | WARNING | The use of function dl is discouraged from PHP version 5.3
    604 | WARNING | The use of function dl is discouraged from PHP version 5.3
    —————————————————————————————————

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘PHP 7 Compatibility’ is closed to new replies.